MWAWDocument.cxx File Reference
`#include "MWAWHeader.hxx"`
`#include "MWAWParser.hxx"`
`#include "MWAWRSRCParser.hxx"`
`#include <libmwaw/libmwaw.hxx>`
`#include "ACParser.hxx"`
`#include "BWParser.hxx"`
`#include "CWParser.hxx"`
`#include "DMParser.hxx"`
`#include "EDParser.hxx"`
`#include "FWParser.hxx"`
`#include "GWParser.hxx"`
`#include "HMWJParser.hxx"`
`#include "HMWKParser.hxx"`
`#include "LWParser.hxx"`
`#include "MCDParser.hxx"`
`#include "MDWParser.hxx"`
`#include "MORParser.hxx"`
`#include "MRWParser.hxx"`
`#include "MWParser.hxx"`
`#include "MWProParser.hxx"`
`#include "MSK3Parser.hxx"`
`#include "MSK4Parser.hxx"`
`#include "MSW1Parser.hxx"`
`#include "MSWParser.hxx"`
`#include "NSParser.hxx"`
`#include "TTParser.hxx"`
`#include "WNParser.hxx"`
`#include "WPParser.hxx"`
`#include "ZWParser.hxx"`

## Namespaces

| MWAWDocumentInternal
| structure used to hide some functions needed by MWAWDocument (basically to check if the file is really supported).

## Functions

shared_ptr< MWAWParser > | MWAWDocumentInternal::getParserFromHeader (MWAWInputStreamPtr &input, MWAWRSRCParserPtr rsrcParser, MWAWHeader *header)
| Factory wrapper to construct a parser corresponding to an header. More...
MWAWHeader * | MWAWDocumentInternal::getHeader (MWAWInputStreamPtr &ip, MWAWRSRCParserPtr rsrcParser, bool strict)
| return the header corresponding to an input. More...
bool | MWAWDocumentInternal::checkBasicMacHeader (MWAWInputStreamPtr &input, MWAWRSRCParserPtr rsrcParser, MWAWHeader &header, bool strict)
| Wrapper to check a basic header of a mac file. More...